## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class ColumnEditPart.MyCheckBox

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Clickable
              org.eclipse.draw2d.Toggle
                  org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.ColumnEditPart.MyCheckBox

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

Enclosing class:
  ColumnEditPart

    public class ColumnEditPart.MyCheckBox

extends org.eclipse.draw2d.Toggle

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Clickable
`DEFAULT_FIRING, REPEAT_FIRING, STYLE_BUTTON, STYLE_TOGGLE`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ColumnEditPart.MyCheckBox(QueryStatement stmt)`

Method Summary
`void` `forwardSetContents(org.eclipse.draw2d.IFigure contents)` Forwards a setContent call from the change listener.

Methods inherited from class org.eclipse.draw2d.Clickable
`addActionListener, addChangeListener, doClick, getModel, isRolloverEnabled, isSelected, isStyle, removeActionListener, removeChangeListener, setEnabled, setEventHandler, setFiringMethod, setModel, setRolloverEnabled, setSelected, setStyle`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnEditPart.MyCheckBox

    public ColumnEditPart.MyCheckBox(QueryStatement stmt)

Method Detail

### forwardSetContents

    public void forwardSetContents(org.eclipse.draw2d.IFigure contents)

  Forwards a setContent call from the change listener. This is needed because setContents is protected.